#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wordcompletionui.ui'
**
** Created: 2013-08-06T18:26:36
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wordcompletionui.h"

#include <qvariant.h>
#include <kinputdialog.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klanguagebutton.h"
#include "klanguagebuttonhelper.h"
#include "./wordcompletionui.ui.h"

/*
 *  Constructs a WordCompletionUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WordCompletionUI::WordCompletionUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "WordCompletionUI" );
    WordCompletionUILayout = new QGridLayout( this, 1, 1, 11, 6, "WordCompletionUILayout"); 

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    addButton = new KPushButton( this, "addButton" );
    addButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, addButton->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( addButton );

    deleteButton = new KPushButton( this, "deleteButton" );
    deleteButton->setEnabled( FALSE );
    deleteButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, deleteButton->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( deleteButton );

    moveUpButton = new KPushButton( this, "moveUpButton" );
    moveUpButton->setEnabled( FALSE );
    moveUpButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, moveUpButton->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( moveUpButton );

    moveDownButton = new KPushButton( this, "moveDownButton" );
    moveDownButton->setEnabled( FALSE );
    moveDownButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, moveDownButton->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( moveDownButton );

    exportButton = new KPushButton( this, "exportButton" );
    exportButton->setEnabled( FALSE );
    exportButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, exportButton->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( exportButton );
    spacer1 = new QSpacerItem( 20, 240, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1->addItem( spacer1 );

    WordCompletionUILayout->addLayout( layout1, 0, 1 );

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    dictionaryList = new KListView( this, "dictionaryList" );
    dictionaryList->addColumn( tr2i18n( "Dictionary" ) );
    dictionaryList->addColumn( tr2i18n( "Language" ) );
    dictionaryList->setAllColumnsShowFocus( TRUE );
    layout2->addWidget( dictionaryList );

    selectedDictionaryDetails = new QGroupBox( this, "selectedDictionaryDetails" );
    selectedDictionaryDetails->setEnabled( FALSE );
    selectedDictionaryDetails->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, selectedDictionaryDetails->sizePolicy().hasHeightForWidth() ) );
    selectedDictionaryDetails->setColumnLayout(0, Qt::Vertical );
    selectedDictionaryDetails->layout()->setSpacing( 6 );
    selectedDictionaryDetails->layout()->setMargin( 11 );
    selectedDictionaryDetailsLayout = new QGridLayout( selectedDictionaryDetails->layout() );
    selectedDictionaryDetailsLayout->setAlignment( Qt::AlignTop );

    languageLabel = new QLabel( selectedDictionaryDetails, "languageLabel" );

    selectedDictionaryDetailsLayout->addWidget( languageLabel, 1, 0 );

    dictionaryNameLabel = new QLabel( selectedDictionaryDetails, "dictionaryNameLabel" );

    selectedDictionaryDetailsLayout->addWidget( dictionaryNameLabel, 0, 0 );

    dictionaryName = new KLineEdit( selectedDictionaryDetails, "dictionaryName" );

    selectedDictionaryDetailsLayout->addWidget( dictionaryName, 0, 1 );
    layout2->addWidget( selectedDictionaryDetails );

    WordCompletionUILayout->addLayout( layout2, 0, 0 );
    languageChange();
    resize( QSize(552, 252).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( dictionaryList, addButton );
    setTabOrder( addButton, deleteButton );
    setTabOrder( deleteButton, moveUpButton );
    setTabOrder( moveUpButton, moveDownButton );
    setTabOrder( moveDownButton, exportButton );
    setTabOrder( exportButton, selectedDictionaryDetails );

    // buddies
    dictionaryNameLabel->setBuddy( dictionaryName );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
WordCompletionUI::~WordCompletionUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WordCompletionUI::languageChange()
{
    addButton->setText( tr2i18n( "Add D&ictionary..." ) );
    QWhatsThis::add( addButton, tr2i18n( "With this button you can add a new dictionary to the list of available dictionaries." ) );
    deleteButton->setText( tr2i18n( "&Delete Dictionary" ) );
    QWhatsThis::add( deleteButton, tr2i18n( "With this button you delete the selected dictionary." ) );
    moveUpButton->setText( tr2i18n( "Move &Up" ) );
    QWhatsThis::add( moveUpButton, tr2i18n( "With this button you move the selected dictionary up." ) );
    moveDownButton->setText( tr2i18n( "&Move Down" ) );
    QWhatsThis::add( moveDownButton, tr2i18n( "With this button you move the selected dictionary down." ) );
    exportButton->setText( tr2i18n( "&Export Dictionary..." ) );
    QWhatsThis::add( exportButton, tr2i18n( "With this button you export the selected dictionary to a file." ) );
    dictionaryList->header()->setLabel( 0, tr2i18n( "Dictionary" ) );
    dictionaryList->header()->setLabel( 1, tr2i18n( "Language" ) );
    QWhatsThis::add( dictionaryList, tr2i18n( "This list contains all available dictionaries for the word completion. KMouth will display a combo box next to the edit field in the main window if this list contains more than one dictionary. You can use this combo box in order to select the dictionary that actually gets used for the word completion." ) );
    selectedDictionaryDetails->setTitle( tr2i18n( "&Selected Dictionary" ) );
    languageLabel->setText( tr2i18n( "&Language:" ) );
    QWhatsThis::add( languageLabel, tr2i18n( "With this combo box you select the language associated with the selected dictionary." ) );
    dictionaryNameLabel->setText( tr2i18n( "&Name:" ) );
    QWhatsThis::add( dictionaryNameLabel, tr2i18n( "With this input field you specify the name of the selected dictionary." ) );
    QWhatsThis::add( dictionaryName, tr2i18n( "With this input field you specify the name of the selected dictionary." ) );
}

#include "wordcompletionui.moc"
